> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-kr/api-sdk/api/undefined-2.md).

# 카테고리

## 최상위 카테고리(디렉토리) 조회

> 유형별 최상위(ROOT) 카테고리를 조회합니다.\
> \
> \### 유형\
> \- FURNITURE : 가구\
> \- FURNITURE\_SET : 가구 세트\
> \- FINISH : 재질\
> \- TEXTURE : 질감\
> \- PROJECT : 프로젝트\
> \- USER : 사용자\
> \- COMPONENT : 부품\
> \- PARAMETRIC\_SALE : 파라메트릭 상품\
> \- FILE : 파일

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"카테고리"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseCategoryResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/CategoryResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"CategoryResponse":{"type":"object","properties":{"id":{"type":"string","description":"카테고리 ID"},"parentId":{"type":"string","description":"상위 카테고리 ID"},"name":{"type":"string","description":"카테고리 이름"},"image":{"type":"string","description":"카테고리 이미지 URL"},"childCategories":{"type":"array","description":"하위 카테고리 목록","items":{"$ref":"#/components/schemas/ChildCategoryResponse"}},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["childCategories","createdAt","id","name","updatedAt"]},"ChildCategoryResponse":{"type":"object","properties":{"id":{"type":"string","description":"카테고리 ID"},"name":{"type":"string","description":"카테고리 이름"},"image":{"type":"string","description":"카테고리 이미지 URL"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","id","name","updatedAt"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/categories":{"get":{"tags":["카테고리"],"summary":"최상위 카테고리(디렉토리) 조회","description":"유형별 최상위(ROOT) 카테고리를 조회합니다.\n\n### 유형\n- FURNITURE : 가구\n- FURNITURE_SET : 가구 세트\n- FINISH : 재질\n- TEXTURE : 질감\n- PROJECT : 프로젝트\n- USER : 사용자\n- COMPONENT : 부품\n- PARAMETRIC_SALE : 파라메트릭 상품\n- FILE : 파일","operationId":"getRootCategories","parameters":[{"name":"categoryType","in":"query","description":"카테고리 유형","required":true,"schema":{"type":"string","description":"카테고리 타입","enum":["FURNITURE","FURNITURE_SET","FINISH","TEXTURE","PROJECT","USER","COMPONENT","PARAMETRIC_SALE","FILE"]}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```

## 카테고리 조회

> 카테고리 ID를 이용하여 카테고리 정보와 하위 카테고리 목록을 조회합니다.\
> \
> \### 사용처\
> \- 특정 카테고리의 상세 정보 조회\
> \- 하위 카테고리 목록 확인\
> \- 카테고리 계층 구조 탐색

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"카테고리"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseCategoryResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/CategoryResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"CategoryResponse":{"type":"object","properties":{"id":{"type":"string","description":"카테고리 ID"},"parentId":{"type":"string","description":"상위 카테고리 ID"},"name":{"type":"string","description":"카테고리 이름"},"image":{"type":"string","description":"카테고리 이미지 URL"},"childCategories":{"type":"array","description":"하위 카테고리 목록","items":{"$ref":"#/components/schemas/ChildCategoryResponse"}},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["childCategories","createdAt","id","name","updatedAt"]},"ChildCategoryResponse":{"type":"object","properties":{"id":{"type":"string","description":"카테고리 ID"},"name":{"type":"string","description":"카테고리 이름"},"image":{"type":"string","description":"카테고리 이미지 URL"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","id","name","updatedAt"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/categories/{id}":{"get":{"tags":["카테고리"],"summary":"카테고리 조회","description":"카테고리 ID를 이용하여 카테고리 정보와 하위 카테고리 목록을 조회합니다.\n\n### 사용처\n- 특정 카테고리의 상세 정보 조회\n- 하위 카테고리 목록 확인\n- 카테고리 계층 구조 탐색","operationId":"getCategory","parameters":[{"name":"id","in":"path","description":"카테고리 ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```
